VERSION 5.00
Begin VB.Form frmKeys 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Same Game Key Commands"
   ClientHeight    =   4815
   ClientLeft      =   2685
   ClientTop       =   2010
   ClientWidth     =   5670
   Icon            =   "frmKeys.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   321
   ScaleMode       =   3  'Pixel
   ScaleWidth      =   378
   StartUpPosition =   1  'CenterOwner
   Begin VB.Label lblCopy 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BackStyle       =   0  'Transparent
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Copy"
      ForeColor       =   &H80000008&
      Height          =   375
      Left            =   840
      TabIndex        =   3
      ToolTipText     =   "Click to Copy this text to the clipboard"
      Top             =   4320
      Width           =   975
   End
   Begin VB.Label lblTitle 
      BackStyle       =   0  'Transparent
      Caption         =   "Same Game Key Commands"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   345
      Left            =   1200
      TabIndex        =   2
      ToolTipText     =   "The Same Game by Frank Bannon"
      Top             =   240
      Width           =   3945
   End
   Begin VB.Label lblClose 
      Alignment       =   2  'Center
      Appearance      =   0  'Flat
      BackColor       =   &H80000005&
      BackStyle       =   0  'Transparent
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Close"
      ForeColor       =   &H80000008&
      Height          =   375
      Left            =   4560
      TabIndex        =   1
      ToolTipText     =   "Click to Close this window"
      Top             =   4320
      Width           =   975
   End
   Begin VB.Image imgTitle 
      Height          =   900
      Left            =   120
      Stretch         =   -1  'True
      ToolTipText     =   "The Same Game"
      Top             =   120
      Width           =   900
   End
   Begin VB.Label lblMessage 
      BackStyle       =   0  'Transparent
      Caption         =   "Are you enjoying the Same Game?"
      Height          =   3495
      Left            =   1200
      TabIndex        =   0
      Top             =   720
      Width           =   4215
      WordWrap        =   -1  'True
   End
End
Attribute VB_Name = "frmKeys"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_KeyDown(KeyCode As Integer, Shift As Integer)
GameWindow.Form_KeyDown KeyCode, Shift
End Sub

Private Sub Form_KeyPress(KeyAscii As Integer)
If KeyAscii = 13 Then lblClose_Click
GameWindow.Form_KeyPress (KeyAscii)
End Sub

Private Sub Form_Load()
imgTitle.Picture = Me.Icon
Me.Picture = LoadResPicture(10, vbResBitmap)
lblMessage.Caption = _
"C - Count the pieces" & vbCrLf & _
"D - Demo mode toggle on/off" & vbCrLf & _
"F - Find largest group of pieces" & vbCrLf & _
"H - High Score table" & vbCrLf & _
"M - Minimize the game window" & vbCrLf & _
"N - New game" & vbCrLf & _
"O - Open a saved game" & vbCrLf & _
"R - Replay current game from the beginning" & vbCrLf & _
"S - Sound toggle on/off" & vbCrLf & _
"U - Undo and back up one move" & vbCrLf & _
"V - High Score table" & vbCrLf & _
"X - Undo and back up one move" & vbCrLf & _
"Z - Zoom/dezoom the game window" & vbCrLf & _
"Esc - Minimize the game window" & vbCrLf & _
"Space Bar - Select/Remove group of pieces under cursor" & vbCrLf & _
"Arrow Keys - Move mouse cursor to next piece in given direction"
End Sub

Private Sub Form_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
If Button <> vbLeftButton Then Exit Sub
ReleaseCapture
SendMessage Me.hwnd, &HA1, 2, 0&
End Sub

Private Sub Form_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
If lblClose.Appearance > 0 Then lblClose.Appearance = 0
If lblCopy.Appearance > 0 Then lblCopy.Appearance = 0
End Sub

Private Sub Form_Unload(Cancel As Integer)
GameWindow.mnuShowKeys.Checked = False
End Sub

Private Sub lblClose_Click()
Unload Me
End Sub

Private Sub lblClose_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
If lblClose.Appearance = 0 Then lblClose.Appearance = 1
End Sub

Private Sub lblCopy_Click()
Clipboard.SetText (lblMessage.Caption)
End Sub

Private Sub lblCopy_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
If lblCopy.Appearance = 0 Then lblCopy.Appearance = 1
End Sub

Private Sub lblMessage_MouseMove(Button As Integer, Shift As Integer, X As Single, Y As Single)
If lblCopy.Appearance > 0 Then lblCopy.Appearance = 0
If lblClose.Appearance > 0 Then lblClose.Appearance = 0
End Sub

